Bug 1465521 - [RFE] API to cancel/delete Remote Execution tasks before their scheduled time
Summary: [RFE] API to cancel/delete Remote Execution tasks before their scheduled time
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Remote Execution
Version: 6.2.9
Hardware: x86_64
OS: Linux
medium
medium vote
Target Milestone: 6.6.0
Assignee: Adam Ruzicka
QA Contact: Lucie Vrtelova
URL:
Whiteboard:
Depends On:
Blocks: 1568063 1582380
TreeView+ depends on / blocked
 
Reported: 2017-06-27 14:42 UTC by Ash Westbrook
Modified: 2019-10-22 12:47 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Known Issue
Doc Text:
This action can not be done via the cli. It will be added in a future release.
Clone Of:
Environment:
Last Closed: 2019-10-22 12:46:40 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 20496 'Normal' 'Closed' 'Expose job invocation cancelling via hammer' 2019-11-20 18:37:59 UTC
Red Hat Bugzilla 1431107 'medium' 'CLOSED' 'it is hard (or there is no way at all) to cancel pending tasks from old remote execution job' 2019-11-20 18:37:59 UTC
Red Hat Product Errata RHSA-2019:3172 None None None 2019-10-22 12:47:01 UTC

Internal Links: 1431107

Description Ash Westbrook 2017-06-27 14:42:31 UTC
Description of problem:

Ability via the API to remove schedule Remote Execution tasks for a future date.

Version-Release number of selected component (if applicable):

6.2.9

How reproducible:

Always

Steps to Reproduce:
1. Org Admin schedules a future task on a remote host
2. Determines task should not be executed and would like to remove it.
3.

Comment 1 Adam Ruzicka 2017-08-22 11:41:46 UTC
Cancelling shouldn't care whether job is scheduled or running.

Comment 2 pm-sat@redhat.com 2017-10-19 10:21:24 UTC
Upstream bug assigned to aruzicka@redhat.com

Comment 3 pm-sat@redhat.com 2017-10-19 10:21:29 UTC
Upstream bug assigned to aruzicka@redhat.com

Comment 4 patalber 2018-01-11 20:31:17 UTC
Client on 6.2.12 has the issue similar to OP, but on a larger scale (2430 remote execution jobs that need to be canceled). The jobs are not all the same types of jobs, unfortunately.

It would be excellent if users could check a box next to a remote execution job and be able to cancel the task, as well as a 'select all' ability.

Comment 5 pm-sat@redhat.com 2018-03-01 11:22:48 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/20496 has been resolved.

Comment 17 errata-xmlrpc 2019-10-22 12:46:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.